
Public Class cMavi_Paramter
    Shared SQL As New VERAG_PROG_ALLGEMEIN.SQL

    Shared Function GET_PARAM_ByName(tcParam_name, TESTSYSTEM) As String
        Return SQL.getValueTxtBySql("SELECT TOP 1 [Param_value]  FROM [tblPartnersystem_Paramter] WHERE  Param_system='MAVI' AND [Param_name]='" & tcParam_name & "'", , , SQL.GetNewOpenConnectionFMZOLL_SYSTEM(TESTSYSTEM))
    End Function
End Class

Public Class cOregon_Paramter
    Shared SQL As New VERAG_PROG_ALLGEMEIN.SQL

    Shared Function GET_PARAM_ByName(tcParam_name, TESTSYSTEM) As String
        Return SQL.getValueTxtBySql("SELECT TOP 1 [Param_value]  FROM [tblPartnersystem_Paramter] WHERE  Param_system='OREGON' AND [Param_name]='" & tcParam_name & "'", , , SQL.GetNewOpenConnectionFMZOLL_SYSTEM(TESTSYSTEM))
    End Function
End Class

Public Class cATEZ_Paramter
    Shared SQL As New VERAG_PROG_ALLGEMEIN.SQL

    Shared Function GET_PARAM_ByName(tcParam_name, TESTSYSTEM) As String
        Return SQL.getValueTxtBySql("SELECT TOP 1 [Param_value]  FROM [tblPartnersystem_Paramter] WHERE Param_system='ATEZ' AND [Param_name]='" & tcParam_name & "'", , , SQL.GetNewOpenConnectionFMZOLL_SYSTEM(TESTSYSTEM))
    End Function
End Class
